<?php
/*
Plugin Name: Di eCommerce Pro
Description: This plugin adds premium features in Di eCommerce Theme.
Version: 1.1
Author: Di Themes
Author URI: http://DiThemes.com
Text Domain: di-ecommerce-pro
Domain Path: /languages
*/

/*
This plugin is released under 'private license' by Di Themes ( http://DiThemes.com ).
Restriction: you CAN NOT directly or indirectly (or after modify) distribute it on private or public host.
You can ONLY use this plugin with released products by Di Themes ( http://DiThemes.com ).
*/

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

define( 'DI_ECOMMERCE_PRO_VERSION' , '1.1' );
define( 'DI_ECOMMERCE_PRO_FILE', __FILE__ );
define( 'DI_ECOMMERCE_PRO_PATH', wp_normalize_path( plugin_dir_path( DI_ECOMMERCE_PRO_FILE ) ) );
define( 'DI_ECOMMERCE_PRO_URL', plugin_dir_url( DI_ECOMMERCE_PRO_FILE ) );
define( 'DI_ECOMMERCE_PRO_BASENAME', plugin_basename( DI_ECOMMERCE_PRO_FILE ) );
define( 'DI_ECOMMERCE_PRO_DIR_NAME', dirname( DI_ECOMMERCE_PRO_BASENAME ) );

// Run if theme is active or it's child theme active.
if( wp_get_theme()->Template == 'di-ecommerce' ) {
	// Load text domain
	add_action( 'init', 'di_ecommerce_pro_load_textdomain' );
	function di_ecommerce_pro_load_textdomain() {
		load_plugin_textdomain( 'di-ecommerce-pro', false, DI_ECOMMERCE_PRO_PATH . 'languages' );
	}
	require( DI_ECOMMERCE_PRO_PATH . 'inc/init.php' );
} else {
	add_action( 'admin_notices', 'di_ecommerce_pro_message_theme_not_active' );
}

/**
 * [di_ecommerce_pro_message_theme_not_active description]
 * @return [type] [description]
 */
function di_ecommerce_pro_message_theme_not_active() {
	echo '<div class="updated"><p>';
	esc_html_e( "Please activate Di eCommerce or it's child theme to make Di eCommerce Pro functional. Or you can deactivate Di eCommerce Pro plugin to hide this message.", "di-ecommerce-pro" );
	echo "</p></div>";
}
