<?php


/*
This plugin is released under 'private license' by Di Themes ( http://DiThemes.com ).
Restriction: you CAN NOT directly or indirectly (or after modify) distribute it on private or public host.
You can ONLY use this plugin with released products by Di Themes ( http://DiThemes.com ).
*/

if ( ! defined( 'ABSPATH' ) ) { exit; }

// start below

class Di_eCommerce_Custom_Header_Render {

	function __construct() {
		// Make functional on front side.
		add_action( 'init', array( $this, 'remove_free_version' ) );
		add_action( 'di_ecommerce_hdrimg_file', array( $this, 'push_pro_content' ) );
	}

	function remove_free_version() {
		remove_action( 'di_ecommerce_hdrimg_file', 'di_ecommerce_hdrimg_file_clbk' );
	}

	function push_pro_content() {

		// Get current post ID (if on blog, then checks current posts page for it's ID)
		if ( is_home() ) {
			$di_post_id = get_option( 'page_for_posts' );
		} else {
			$di_post_id = get_the_ID();
		}
		
		if( $di_post_id ) {

			if( get_post_meta( $di_post_id, '_di_ecommerce_hide_hdrimg', true ) ) {
				return;

			} else {

				if( get_post_meta( $di_post_id, '_di_ecommerce_cstm_hdrimg', true  ) ) {

					$imgid = intval( get_post_meta( $di_post_id, '_di_ecommerce_cstm_hdrimg', true  ) );

					if( $imgid && get_post( $imgid )  ) {

						// We got image id and exits.
						$img_url = wp_get_attachment_url( $imgid );

						if( ! empty( $img_url ) ) {
							// We got image url and exits.
							?>
							<div class="container-fluid">
								<div class="row">
									<div class="alignc wd100">
										<img class="headerimg" src="<?php echo $img_url; ?>" height="<?php echo esc_attr( get_custom_header()->height ); ?>" width="<?php echo esc_attr( get_custom_header()->width ); ?>" alt="<?php echo esc_attr( get_bloginfo( 'description' ) ); ?>" />
									</div>
								</div>
							</div>
							<?php
						} else {
							// Call to default.
							if( has_header_image() ) { ?>
								<div class="container-fluid">
									<div class="row">
										<div class="alignc wd100">
											<?php the_custom_header_markup(); ?>
										</div>
									</div>
								</div>
							<?php
							}
						}
					} else {
						// Call to default.
						if( has_header_image() ) { ?>
							<div class="container-fluid">
								<div class="row">
									<div class="alignc wd100">
										<?php the_custom_header_markup(); ?>
									</div>
								</div>
							</div>
						<?php
						}
					}
				} else {
					// Call to default.
					if( has_header_image() ) { ?>
						<div class="container-fluid">
							<div class="row">
								<div class="alignc wd100">
									<?php the_custom_header_markup(); ?>
								</div>
							</div>
						</div>
					<?php
					}
				}
			}
		} else {
			// Call to default.
			if( has_header_image() ) { ?>
				<div class="container-fluid">
					<div class="row">
						<div class="alignc wd100">
							<?php the_custom_header_markup(); ?>
						</div>
					</div>
				</div>
			<?php
			}
		}
	}
}
new Di_eCommerce_Custom_Header_Render();
