<?php

/*
This plugin is released under 'private license' by Di Themes ( http://DiThemes.com ).
Restriction: you CAN NOT directly or indirectly (or after modify) distribute it on private or public host.
You can ONLY use this plugin with released products by Di Themes ( http://DiThemes.com ).
*/

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}


// Remove free content settings.
function di_ecommerce_pro_remove_upsells( $wp_customize ) {
	$wp_customize->remove_control( 'custom_topbar_freecon' );
	$wp_customize->remove_control( 'custom_clroptions_freecon' );
	$wp_customize->remove_control( 'custom_blog_options_freecon' );
	$wp_customize->remove_control( 'custom_sidebar_cart_options_freecon' );
	$wp_customize->remove_control( 'custom_woo_options_freecon' );
	$wp_customize->remove_control( 'custom_footer_options_freecon' );
	$wp_customize->remove_control( 'custom_footer_copy_options_freecon' );
	$wp_customize->remove_control( 'custom_theme_info_sprt_freecon' );
	$wp_customize->remove_control( 'custom_theme_info_pro_freecon' );
}
add_action( 'customize_register', 'di_ecommerce_pro_remove_upsells', 999, 1 );

// Kirki Pro settings

//di_ecommerce_top_bar color options
add_action( 'di_ecommerce_top_bar', 'di_ecommerce_top_bar_clbk' );
function di_ecommerce_top_bar_clbk() {

	Kirki::add_field( 'di_ecommerce_config', array(
		'type'        => 'color',
		'settings'    => 'top_bar_color',
		'label'       => esc_attr__( 'Top Bar Color', 'di-ecommerce-pro' ),
		'section'     => 'top_bar',
		'default'     => '#ffffff',
		'choices'     => array(
			'alpha' => true,
		),
		'output' => array(
			array(
				'element'  => '.bgtoph',
				'property' => 'color',
			),
			array(
				'element'  => '.bgtoph-icon-clr',
				'property' => 'color',
			),
			array(
				'element'  => '.bgtoph-icon-clr',
				'property' => 'border-color',
			),
		),
		'transport' => 'auto',
		'active_callback'  => array(
			array(
				'setting'  => 'display_top_bar',
				'operator' => '==',
				'value'    => 1,
			),
		)
	) );

	Kirki::add_field( 'di_ecommerce_config', array(
		'type'        => 'color',
		'settings'    => 'top_bar_bg_color',
		'label'       => esc_attr__( 'Top Bar Background Color', 'di-ecommerce-pro' ),
		'section'     => 'top_bar',
		'default'     => '#000000',
		'choices'     => array(
			'alpha' => true,
		),
		'output' => array(
			array(
				'element'  => '.bgtoph',
				'property' => 'background-color',
			),
		),
		'transport' => 'auto',
		'active_callback'  => array(
			array(
				'setting'  => 'display_top_bar',
				'operator' => '==',
				'value'    => 1,
			),
		)
	) );

	Kirki::add_field( 'di_ecommerce_config', array(
		'type'        => 'color',
		'settings'    => 'top_bar_link_color',
		'label'       => esc_attr__( 'Top Bar Links Color', 'di-ecommerce-pro' ),
		'section'     => 'top_bar',
		'default'     => '#ffffff',
		'choices'     => array(
			'alpha' => true,
		),
		'output' => array(
			array(
				'element'  => '.bgtoph a',
				'property' => 'color',
			),
		),
		'transport' => 'auto',
		'active_callback'  => array(
			array(
				'setting'  => 'display_top_bar',
				'operator' => '==',
				'value'    => 1,
			),
		)
	) );

	Kirki::add_field( 'di_ecommerce_config', array(
		'type'        => 'color',
		'settings'    => 'top_bar_mover_link_color',
		'label'       => esc_attr__( 'Mouse Over Links Color', 'di-ecommerce-pro' ),
		'section'     => 'top_bar',
		'default'     => '#ffffff',
		'choices'     => array(
			'alpha' => true,
		),
		'output' => array(
			array(
				'element'  => '.bgtoph a:hover, .bgtoph a:focus',
				'property' => 'color',
			),
		),
		'transport' => 'auto',
		'active_callback'  => array(
			array(
				'setting'  => 'display_top_bar',
				'operator' => '==',
				'value'    => 1,
			),
		)
	) );
}

//di_ecommerce_top_bar_search_form color options
add_action( 'di_ecommerce_top_bar_search_form', 'di_ecommerce_top_bar_search_form_clbk' );
function di_ecommerce_top_bar_search_form_clbk() {

	Kirki::add_field( 'di_ecommerce_config', array(
		'type'        => 'color',
		'settings'    => 'tp_br_sf_clr',
		'label'       => esc_attr__( 'Search Form Color', 'di-ecommerce-pro' ),
		'section'     => 'top_bar',
		'default'     => '#f66f66',
		'choices'     => array(
			'alpha' => true,
		),
		'output' => array(
			array(
				'element'  => '.scp-search .scp-search__input, .scp-btn, .scp-search__info',
				'property' => 'color',
			),
		),
		'transport' => 'auto',
		'active_callback'  => array(
			array(
				'setting'  => 'display_top_bar',
				'operator' => '==',
				'value'    => 1,
			),
			array(
				'setting'  => 'top_bar_seach_icon',
				'operator' => '==',
				'value'    => 1,
			),
		)
	) );

	Kirki::add_field( 'di_ecommerce_config', array(
		'type'        => 'color',
		'settings'    => 'tp_br_sf_bg_clr',
		'label'       => esc_attr__( 'Search Form Background Color', 'di-ecommerce-pro' ),
		'section'     => 'top_bar',
		'default'     => 'rgba(0,0,0,0.83)',
		'choices'     => array(
			'alpha' => true,
		),
		'output' => array(
			array(
				'element'  => '.scp-search',
				'property' => 'background-color',
			),
		),
		'transport' => 'auto',
		'active_callback'  => array(
			array(
				'setting'  => 'display_top_bar',
				'operator' => '==',
				'value'    => 1,
			),
			array(
				'setting'  => 'top_bar_seach_icon',
				'operator' => '==',
				'value'    => 1,
			),
		)
	) );
}

//di_ecommerce_color_options
add_action( 'di_ecommerce_color_options', 'di_ecommerce_color_options_clbk' );
function di_ecommerce_color_options_clbk() {

	Kirki::add_field( 'di_ecommerce_config', array(
		'type'        => 'custom',
		'settings'    => 'info_default_btn',
		'section'     => 'color_options',
		'default'     => '<hr />',
	) );

	Kirki::add_field( 'di_ecommerce_config', array(
		'type'        	=> 'color',
		'settings'    	=> 'btn_color',
		'label'       	=> esc_attr__( 'Default Button: Color', 'di-ecommerce-pro' ),
		'section'     	=> 'color_options',
		'default'     	=> '#ffffff',
		'choices'     	=> array(
			'alpha' => true,
		),
		'output' => array(
			array(
				'element'  => '.masterbtn',
				'property' => 'color',
			),
			array(
				'element'  => '.wpcf7-form .wpcf7-form-control.wpcf7-submit',
				'property' => 'color',
			),
			array(
				'element'  => '.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button',
				'property' => 'color',
			),
			array(
				'element'	=> '.woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt',
				'property'	=> 'color',
				'suffix'	=> '!important',
			),
			array(
				'element'  => '.tagcloud a',
				'property' => 'color',
				'suffix'	=> '!important',
			),
			array(
				'element'  => '.singletags a',
				'property' => 'color',
			),
			array(
				'element'  => '#back-to-top, .social_profile-icon-clr, .bbp-submit-wrapper .button',
				'property' => 'color',
			),
			array(
				'element'  => '.side-menu-menu-button',
				'property' => 'color',
			),
			array(
				'element'  => '.post-navigation .nav-next a, .post-navigation .nav-previous a',
				'property' => 'color',
			),
			array(
				'element'  => '.woocommerce.widget_product_search button[type="submit"]',
				'property' => 'color',
			),
			array(
				'element'  => '.yikes-mailchimp-container .yikes-easy-mc-submit-button.btn-primary',
				'property' => 'color',
			),
		),
		'transport' => 'auto',
	) );

	Kirki::add_field( 'di_ecommerce_config', array(
		'type'        	=> 'color',
		'settings'    	=> 'btn_hvr_color',
		'label'       	=> esc_attr__( 'Default Button: Mouser Over Color', 'di-ecommerce-pro' ),
		'section'     	=> 'color_options',
		'default'     	=> '#ffffff',
		'choices'     	=> array(
			'alpha' => true,
		),
		'output' => array(
			array(
				'element'  => '.masterbtn:hover',
				'property' => 'color',
			),
			array(
				'element'  => '.wpcf7-form .wpcf7-form-control.wpcf7-submit:hover',
				'property' => 'color',
			),
			array(
				'element'  => '.woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover',
				'property' => 'color',
			),
			array(
				'element'	=> '.woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover',
				'property'	=> 'color',
				'suffix'	=> '!important',
			),
			array(
				'element'  => '.tagcloud a:hover',
				'property' => 'color',
				'suffix'	=> '!important',
			),
			array(
				'element'  => '.singletags a:hover',
				'property' => 'color',
			),
			array(
				'element'  => '#back-to-top:hover, .social_profile-icon-clr:hover, .bbp-submit-wrapper .button:hover',
				'property' => 'color',
			),
			array(
				'element'  => '.side-menu-menu-button:hover',
				'property' => 'color',
			),
			array(
				'element'  => '.post-navigation .nav-next a:hover, .post-navigation .nav-previous a:hover',
				'property' => 'color',
			),
			array(
				'element'  => '.woocommerce.widget_product_search button[type="submit"]:hover',
				'property' => 'color',
			),
			array(
				'element'  => '.yikes-mailchimp-container .yikes-easy-mc-submit-button.btn-primary:hover',
				'property' => 'color',
			),
		),
		'transport' => 'auto',
	) );

	Kirki::add_field( 'di_ecommerce_config', array(
		'type'        => 'color',
		'settings'    => 'btn_bg_color',
		'label'       => esc_attr__( 'Default Button: Background Color', 'di-ecommerce-pro' ),
		'section'     => 'color_options',
		'default'     => '#000000',
		'choices'     => array(
			'alpha' => true,
		),
		'output' => array(
			array(
				'element'  => '.masterbtn',
				'property' => 'background-color',
			),
			array(
				'element'  => '.wpcf7-form .wpcf7-form-control.wpcf7-submit',
				'property' => 'background-color',
			),
			array(
				'element'  => '.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button',
				'property' => 'background-color',
			),
			array(
				'element'	=> '.woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt',
				'property'	=> 'background-color',
				'suffix'	=> '!important',
			),
			array(
				'element'  => '.tagcloud a',
				'property' => 'background-color',
			),
			array(
				'element'  => '.tagcloud a::before',
				'property' => 'border-right-color',
			),
			array(
				'element'  => '.singletags a',
				'property' => 'background-color',
			),
			array(
				'element'  => '.singletags a::before',
				'property' => 'border-right-color',
			),
			array(
				'element'  => '.woocommerce .widget_price_filter .ui-slider .ui-slider-handle, .woocommerce .widget_price_filter .ui-slider .ui-slider-range',
				'property' => 'background-color',
			),
			array(
				'element'  => '#back-to-top, .di_ecommerce_social_widget a, .bbp-submit-wrapper .button',
				'property' => 'background-color',
			),
			array(
				'element'  => '.side-menu-menu-button',
				'property' => 'background-color',
			),
			array(
				'element'  => '.post-navigation .nav-next a, .post-navigation .nav-previous a',
				'property' => 'background-color',
			),
			array(
				'element'  => '.woocommerce.widget_product_search button[type="submit"]',
				'property' => 'background-color',
			),
			array(
				'element'  => '.di-cart-count-animate',
				'property' => 'color',
			),
			array(
				'element'  => '.yikes-mailchimp-container .yikes-easy-mc-submit-button.btn-primary',
				'property' => 'background-color',
			),
		),
		'transport' => 'auto',
	) );

	Kirki::add_field( 'di_ecommerce_config', array(
		'type'        => 'color',
		'settings'    => 'btn_mover_bg_color',
		'label'       => esc_attr__( 'Default Button: Mouser Over Background Color', 'di-ecommerce-pro' ),
		'section'     => 'color_options',
		'default'     => '#f66f66',
		'choices'     => array(
			'alpha' => true,
		),
		'output' => array(
			array(
				'element'  => '.masterbtn:hover',
				'property' => 'background-color',
			),
			array(
				'element'  => '.wpcf7-form .wpcf7-form-control.wpcf7-submit:hover',
				'property' => 'background-color',
			),
			array(
				'element'  => '.woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover',
				'property' => 'background-color',
				'suffix'	=> '!important',
			),
			array(
				'element'  => '.woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover',
				'property' => 'background-color',
				'suffix'	=> '!important',
			),
			array(
				'element'  => '.woocommerce .widget_price_filter .price_slider_wrapper .ui-widget-content',
				'property' => 'background-color',
			),
			array(
				'element'  => '.tagcloud a:hover',
				'property' => 'background-color',
			),
			array(
				'element'  => '.tagcloud a:hover::before',
				'property' => 'border-right-color',
			),
			array(
				'element'  => '.singletags a:hover',
				'property' => 'background-color',
			),
			array(
				'element'  => '.singletags a:hover::before',
				'property' => 'border-right-color',
			),
			array(
				'element'  => '#back-to-top:hover, .di_ecommerce_social_widget a:hover, .bbp-submit-wrapper .button:hover',
				'property' => 'background-color',
			),
			array(
				'element'  => '.side-menu-menu-button:hover',
				'property' => 'background-color',
			),
			array(
				'element'  => '.post-navigation .nav-next a:before, .post-navigation .nav-previous a:before',
				'property' => 'background-color',
			),
			array(
				'element'  => '.woocommerce.widget_product_search button[type="submit"]:hover',
				'property' => 'background-color',
			),
			array(
				'element'  => '.side-menu-menu-button:hover .di-cart-count-animate',
				'property' => 'color',
			),
			array(
				'element'  => '.yikes-mailchimp-container .yikes-easy-mc-submit-button.btn-primary:hover',
				'property' => 'background-color',
			),
		),
		'transport' => 'auto',
	) );

	Kirki::add_field( 'di_ecommerce_config', array(
		'type'        => 'custom',
		'settings'    => 'info_menu',
		'section'     => 'color_options',
		'default'     => '<hr /><div style="padding: 10px;background-color: #333; color: #fff; border-radius: 8px;">' . esc_attr__( 'Main Menu color will work, if you are using default / theme menu feature.', 'di-ecommerce-pro' ) . '</div>',
	) );

	Kirki::add_field( 'di_ecommerce_config', array(
		'type'        => 'color',
		'settings'    => 'mm_parnt_clr',
		'label'       => esc_attr__( 'Main Menu: Parent Items Color', 'di-ecommerce-pro' ),
		'section'     => 'color_options',
		'default'     => '#ffffff',
		'choices'     => array(
			'alpha' => true,
		),
		'output' => array(
			array(
				'element'  => '.navbarprimary .navbar-nav > li > a',
				'property' => 'color',
			),
		),
		'transport' => 'auto',
	) );

	Kirki::add_field( 'di_ecommerce_config', array(
		'type'        => 'color',
		'settings'    => 'mm_parnt_bg_clr',
		'label'       => esc_attr__( 'Main Menu: Parent Menu Background Color', 'di-ecommerce-pro' ),
		'section'     => 'color_options',
		'default'     => '#000000',
		'choices'     => array(
			'alpha' => true,
		),
		'output' => array(
			array(
				'element'  => '.navbarprimary',
				'property' => 'background-color',
			),
			array(
				'element'  => '.navbarprimary .dropdown-menu',
				'property' => 'border-bottom-color',
			),
			array(
				'element'  => '.navbarprimary.navbar',
				'property' => 'border-color',
			),
		),
		'transport' => 'auto',
	) );

	Kirki::add_field( 'di_ecommerce_config', array(
		'type'        => 'color',
		'settings'    => 'mm_parnt_actuv_clr',
		'label'       => esc_attr__( 'Main Menu: Parent Active Item Color', 'di-ecommerce-pro' ),
		'section'     => 'color_options',
		'default'     => '#4c4c4c',
		'choices'     => array(
			'alpha' => true,
		),
		'output' => array(
			array(
				'element'  => '.navbarprimary .navbar-nav > .active > a, .navbarprimary .navbar-nav > .active > a:hover, .navbarprimary .navbar-nav > .active > a:focus, .navbarprimary .navbar-nav > li:hover > a',
				'property' => 'color',
			),
			array(
				'element'  => '.navbarprimary .navbar-nav > li > a:hover, .navbarprimary .navbar-nav > li > a:focus',
				'property' => 'color',
			),
		),
		'transport' => 'auto',
	) );

	Kirki::add_field( 'di_ecommerce_config', array(
		'type'        => 'color',
		'settings'    => 'mm_parnt_active_bg_clr',
		'label'       => esc_attr__( 'Main Menu: Parent Active Item Background Color', 'di-ecommerce-pro' ),
		'section'     => 'color_options',
		'default'     => '#eeeeee',
		'choices'     => array(
			'alpha' => true,
		),
		'output' => array(
			array(
				'element'  => '.navbarprimary .navbar-nav > .active > a, .navbarprimary .navbar-nav > .active > a:hover, .navbarprimary .navbar-nav > .active > a:focus, .navbarprimary .navbar-nav > li:hover > a',
				'property' => 'background-color',
			),
			array(
				'element'  => '.navbarprimary .navbar-nav > li > a:hover, .navbarprimary .navbar-nav > li > a:focus',
				'property' => 'background-color',
			),
		),
		'transport' => 'auto',
	) );

	Kirki::add_field( 'di_ecommerce_config', array(
		'type'        => 'color',
		'settings'    => 'mm_drpdwn_clr',
		'label'       => esc_attr__( 'Main Menu: DropDown Item Color', 'di-ecommerce-pro' ),
		'section'     => 'color_options',
		'default'     => '#333333',
		'choices'     => array(
			'alpha' => true,
		),
		'output' => array(
			array(
				'element'  => '.dropdown-menu > li > a',
				'property' => 'color',
			),
			array(
				'element'  => '.navbarprimary .dropdown-submenu > a:after',
				'property' => 'border-left-color',
			),
		),
		'transport' => 'auto',
	) );

	Kirki::add_field( 'di_ecommerce_config', array(
		'type'        => 'color',
		'settings'    => 'mm_drpdwn_bg_clr',
		'label'       => esc_attr__( 'Main Menu: DropDown Item Background Color', 'di-ecommerce-pro' ),
		'description'	=> esc_attr__( 'This will Background Color of all DropDown items', 'di-ecommerce-pro' ),
		'section'     => 'color_options',
		'default'     => '#eeeeee',
		'choices'     => array(
			'alpha' => true,
		),
		'output' => array(
			array(
				'element'  => '.dropdown-menu > li > a',
				'property' => 'background-color',
			),
		),
		'transport' => 'auto',
	) );

	Kirki::add_field( 'di_ecommerce_config', array(
		'type'        => 'color',
		'settings'    => 'mm_drpdwn_actve_clr',
		'label'       => esc_attr__( 'Main Menu: DropDown Active Item Color', 'di-ecommerce-pro' ),
		'section'     => 'color_options',
		'default'     => '#333333',
		'choices'     => array(
			'alpha' => true,
		),
		'output' => array(
			array(
				'element'  => '.dropdown-menu > .active > a, .dropdown-menu > .active > a:hover, .dropdown-menu > .active > a:focus',
				'property' => 'color',
			),
			array(
				'element'  => '.dropdown-menu > li > a:hover, .dropdown-menu > li > a:focus',
				'property' => 'color',
			),
			array(
				'element'  => '.navbarprimary .dropdown-submenu:hover > a:after, .navbarprimary .active.dropdown-submenu > a:after',
				'property' => 'border-left-color',
			),
		),
		'transport' => 'auto',
	) );

	Kirki::add_field( 'di_ecommerce_config', array(
		'type'        => 'color',
		'settings'    => 'mm_drpdwn_active_bg_clr',
		'label'       => esc_attr__( 'Main Menu: DropDown Active Item Background Color', 'di-ecommerce-pro' ),
		'section'     => 'color_options',
		'default'     => '#f5f5f5',
		'choices'     => array(
			'alpha' => true,
		),
		'output' => array(
			array(
				'element'  => '.dropdown-menu > .active > a, .dropdown-menu > .active > a:hover, .dropdown-menu > .active > a:focus',
				'property' => 'background-color',
			),
			array(
				'element'  => '.dropdown-menu > li > a:hover, .dropdown-menu > li > a:focus',
				'property' => 'background-color',
			),
		),
		'transport' => 'auto',
	) );

	Kirki::add_field( 'di_ecommerce_config', array(
		'type'        => 'color',
		'settings'    => 'mm_prnt_tgl_clr',
		'label'       => esc_attr__( 'Main Menu: Parent Toggle Button Color', 'di-ecommerce-pro' ),
		'section'     => 'color_options',
		'default'     => '#f3f3f3',
		'choices'     => array(
			'alpha' => true,
		),
		'output' => array(
			array(
				'element'  => '.navbarprimary .navbar-toggler, .navbarprimary .navbar-toggler:hover, .navbarprimary .navbar-toggler:focus',
				'property' => 'background-color',
			),
			array(
				'element'  => '.navbarprimary .small-menu-label',
				'property' => 'color',
			),
		),
		'transport' => 'auto',
	) );

	Kirki::add_field( 'di_ecommerce_config', array(
		'type'        => 'color',
		'settings'    => 'mm_drpdwn_tgl_clr',
		'label'       => esc_attr__( 'Main Menu: DropDown Toggle Button Color', 'di-ecommerce-pro' ),
		'section'     => 'color_options',
		'default'     => '#000000',
		'choices'     => array(
			'alpha' => true,
		),
		'output' => array(
			array(
				'element'  => '.navbarprimary .dropdowntoggle',
				'property' => 'color',
			),
		),
		'transport' => 'auto',
	) );

	Kirki::add_field( 'di_ecommerce_config', array(
		'type'        => 'custom',
		'settings'    => 'info_breadcrumb',
		'section'     => 'color_options',
		'default'     => '<hr />',
	) );

	Kirki::add_field( 'di_ecommerce_config', array(
		'type'        => 'color',
		'settings'    => 'breadcrumb_bg_color',
		'label'       => esc_attr__( 'Breadcrumb Background Color', 'di-ecommerce-pro' ),
		'description' => esc_attr__( 'Blog Breadcrumb Background Color', 'di-ecommerce-pro' ),
		'section'     => 'color_options',
		'default'     => '#f5f5f5',
		'choices'     => array(
			'alpha' => true,
		),
		'output' => array(
			array(
				'element'  => '.breadcrumb',
				'property' => 'background-color',
			),
		),
		'transport' => 'auto',
	) );

	Kirki::add_field( 'di_ecommerce_config', array(
		'type'        => 'custom',
		'settings'    => 'info_mainhdr_clr',
		'section'     => 'color_options',
		'default'     => '<hr />',
	) );
	
	Kirki::add_field( 'di_ecommerce_config', array(
		'type'        => 'color',
		'settings'    => 'mainhdr_clr',
		'label'       => esc_attr__( 'Main Header Background Color', 'di-ecommerce-pro' ),
		'section'     => 'color_options',
		'default'     => '#ffffff',
		'choices'     => array(
			'alpha' => true,
		),
		'output' => array(
			array(
				'element'  => '.headermain',
				'property' => 'background-color',
			),
		),
		'transport' => 'auto',
	) );

	Kirki::add_field( 'di_ecommerce_config', array(
		'type'        => 'custom',
		'settings'    => 'info_sidebar_hdln_clr',
		'section'     => 'color_options',
		'default'     => '<hr />',
	) );

	Kirki::add_field( 'di_ecommerce_config', array(
		'type'        => 'color',
		'settings'    => 'sidebar_hdln_clr',
		'label'       => esc_attr__( 'Sidebar headline Color', 'di-ecommerce-pro' ),
		'section'     => 'color_options',
		'default'     => '#000000',
		'choices'     => array(
			'alpha' => true,
		),
		'output' => array(
			array(
				'element'  => '.widget_sidebar_main .right-widget-title',
				'property' => 'color',
			),
		),
		'transport' => 'auto',
	) );

	Kirki::add_field( 'di_ecommerce_config', array(
		'type'        => 'color',
		'settings'    => 'sidebar_hdln_bg_clr',
		'label'       => esc_attr__( 'Sidebar headline Background Color', 'di-ecommerce-pro' ),
		'section'     => 'color_options',
		'default'     => '#f7f7f7',
		'choices'     => array(
			'alpha' => true,
		),
		'output' => array(
			array(
				'element'  => '.widget_sidebar_main .right-widget-title',
				'property' => 'background-color',
			),
		),
		'transport' => 'auto',
	) );

}

//di_ecommerce_blog_options color options
add_action( 'di_ecommerce_blog_options', 'di_ecommerce_blog_options_clbk' );
function di_ecommerce_blog_options_clbk() {

	Kirki::add_field( 'di_ecommerce_config', array(
		'type'        => 'custom',
		'settings'    => 'info_cmnt',
		'section'     => 'blog_options',
		'default'     => '<hr /><div style="padding: 10px;background-color: #333; color: #fff; border-radius: 8px;">' . esc_attr__( 'Comments display in Even Odd order like Even, Odd, Even, Odd as so on. here we can set color and background color for both Even and Odd comment.', 'di-ecommerce-pro' ) . '</div>',
	) );

	Kirki::add_field( 'di_ecommerce_config', array(
		'type'        => 'color',
		'settings'    => 'cmnt_even_color',
		'label'       => esc_attr__( 'Even Comment Color', 'di-ecommerce-pro' ),
		'section'     => 'blog_options',
		'default'     => '#000000',
		'choices'     => array(
			'alpha' => true,
		),
		'output' => array(
			array(
				'element'  => '#comments .comment.even',
				'property' => 'color',
			),
			array(
				'element'  => '#comments .pingback.even',
				'property' => 'color',
			),
		),
		'transport' => 'auto',
	) );

	Kirki::add_field( 'di_ecommerce_config', array(
		'type'        => 'color',
		'settings'    => 'cmnt_even_bg_color',
		'label'       => esc_attr__( 'Even Comment Background Color', 'di-ecommerce-pro' ),
		'section'     => 'blog_options',
		'default'     => 'rgba(255, 255, 255, 0.07)',
		'choices'     => array(
			'alpha' => true,
		),
		'output' => array(
			array(
				'element'  => '#comments .comment.even',
				'property' => 'background-color',
			),
			array(
				'element'  => '#comments .pingback.even',
				'property' => 'background-color',
			),
		),
		'transport' => 'auto',
	) );

	Kirki::add_field( 'di_ecommerce_config', array(
		'type'        => 'color',
		'settings'    => 'cmnt_odd_color',
		'label'       => esc_attr__( 'Odd Comment Color', 'di-ecommerce-pro' ),
		'section'     => 'blog_options',
		'default'     => '#000000',
		'choices'     => array(
			'alpha' => true,
		),
		'output' => array(
			array(
				'element'  => '#comments .comment.odd',
				'property' => 'color',
			),
			array(
				'element'  => '#comments .pingback.odd',
				'property' => 'color',
			),
		),
		'transport' => 'auto',
	) );

	Kirki::add_field( 'di_ecommerce_config', array(
		'type'        => 'color',
		'settings'    => 'cmnt_odd_bg_color',
		'label'       => esc_attr__( 'Odd Comment Background Color', 'di-ecommerce-pro' ),
		'section'     => 'blog_options',
		'default'     => 'rgba(183, 183, 183, 0.19)',
		'choices'     => array(
			'alpha' => true,
		),
		'output' => array(
			array(
				'element'  => '#comments .comment.odd',
				'property' => 'background-color',
			),
			array(
				'element'  => '#comments .pingback.odd',
				'property' => 'background-color',
			),
		),
		'transport' => 'auto',
	) );

	Kirki::add_field( 'di_ecommerce_config', array(
		'type'        => 'color',
		'settings'    => 'stky_pst_bg_color',
		'label'       => esc_attr__( 'Sticky Post Background Color', 'di-ecommerce-pro' ),
		'section'     => 'blog_options',
		'default'     => '#f7f7f7',
		'choices'     => array(
			'alpha' => true,
		),
		'output' => array(
			array(
				'element'	=> '.sticky',
				'property'	=> 'background-color',
				'suffix'	=> ' !important',
			),
		),
		'transport' => 'auto',
	) );

	Kirki::add_field( 'di_ecommerce_config', array(
		'type'        => 'color',
		'settings'    => 'pst_bdr_color',
		'label'       => esc_attr__( 'Posts Border Color', 'di-ecommerce-pro' ),
		'section'     => 'blog_options',
		'default'     => '#eeeeee',
		'choices'     => array(
			'alpha' => true,
		),
		'output' => array(
			array(
				'element'	=> '.di-archive',
				'property'	=> 'border-color',
			),
		),
		'transport' => 'auto',
	) );
}

// di_ecommerce_sidebar_cart_options color options
add_action( 'di_ecommerce_sidebar_cart_options', 'di_ecommerce_sidebar_cart_options_clbk' );
function di_ecommerce_sidebar_cart_options_clbk() {

	Kirki::add_field( 'di_ecommerce_config', array(
		'type'        => 'color',
		'settings'    => 'sb_menu_clr',
		'label'       => esc_attr__( 'Sidebar Cart: Color', 'di-ecommerce-pro' ),
		'section'     => 'sidebar_cart_optins',
		'default'     => '#ffffff',
		'choices'     => array(
			'alpha' => true,
		),
		'output' => array(
			array(
				'element'	=> '.side-menu-menu-wrap',
				'property'	=> 'color',
			),
		),
		'transport' => 'auto',
		'active_callback'  => array(
			array(
				'setting'  => 'sb_cart_onoff',
				'operator' => '==',
				'value'    => 1,
			),
		)
	) );

	Kirki::add_field( 'di_ecommerce_config', array(
		'type'        => 'color',
		'settings'    => 'sb_menu_bg_clr',
		'label'       => esc_attr__( 'Sidebar Cart: Background Color', 'di-ecommerce-pro' ),
		'section'     => 'sidebar_cart_optins',
		'default'     => '#333333',
		'choices'     => array(
			'alpha' => true,
		),
		'output' => array(
			array(
				'element'	=> '.side-menu-menu-wrap',
				'property'	=> 'background-color',
			),
		),
		'transport' => 'auto',
		'active_callback'  => array(
			array(
				'setting'  => 'sb_cart_onoff',
				'operator' => '==',
				'value'    => 1,
			),
		)
	) );

	Kirki::add_field( 'di_ecommerce_config', array(
		'type'        => 'color',
		'settings'    => 'sb_menu_cls_btn_clr',
		'label'       => esc_attr__( 'Sidebar Cart: Close Icon Color', 'di-ecommerce-pro' ),
		'section'     => 'sidebar_cart_optins',
		'default'     => '#ffffff',
		'choices'     => array(
			'alpha' => true,
		),
		'output' => array(
			array(
				'element'	=> '.side-menu-close-button::before, .side-menu-close-button::after',
				'property'	=> 'background-color',
			),
		),
		'transport' => 'auto',
		'active_callback'  => array(
			array(
				'setting'  => 'sb_cart_onoff',
				'operator' => '==',
				'value'    => 1,
			),
		)
	) );

	Kirki::add_field( 'di_ecommerce_config', array(
		'type'        => 'color',
		'settings'    => 'sb_menu_lnks_clr',
		'label'       => esc_attr__( 'Sidebar Cart: Links Color', 'di-ecommerce-pro' ),
		'section'     => 'sidebar_cart_optins',
		'default'     => '#f66f66',
		'choices'     => array(
			'alpha' => true,
		),
		'output' => array(
			array(
				'element'	=> '.side-menu-menu-wrap .woocommerce-mini-cart .woocommerce-mini-cart-item a',
				'property'	=> 'color',
			),
		),
		'transport' => 'auto',
		'active_callback'  => array(
			array(
				'setting'  => 'sb_cart_onoff',
				'operator' => '==',
				'value'    => 1,
			),
		)
	) );

	Kirki::add_field( 'di_ecommerce_config', array(
		'type'        => 'color',
		'settings'    => 'sb_menu_lnks_mo_clr',
		'label'       => esc_attr__( 'Sidebar Cart: Links Mouse Over Color', 'di-ecommerce-pro' ),
		'section'     => 'sidebar_cart_optins',
		'default'     => '#ff2c1e',
		'choices'     => array(
			'alpha' => true,
		),
		'output' => array(
			array(
				'element'	=> '.side-menu-menu-wrap .woocommerce-mini-cart .woocommerce-mini-cart-item a:hover',
				'property'	=> 'color',
			),
		),
		'transport' => 'auto',
		'active_callback'  => array(
			array(
				'setting'  => 'sb_cart_onoff',
				'operator' => '==',
				'value'    => 1,
			),
		)
	) );

}

// di_ecommerce_woo_options
add_action( 'di_ecommerce_woo_options', 'di_ecommerce_woo_options_clrs_clbk' );
function di_ecommerce_woo_options_clrs_clbk() {

	Kirki::add_field( 'di_ecommerce_config', array(
		'type'        => 'color',
		'settings'    => 'woo_onsale_lbl_clr',
		'label'       => esc_attr__( 'OnSale Sign Color', 'di-ecommerce' ),
		'description' => esc_attr__( 'This will be color of OnSale Sign of products.', 'di-ecommerce' ),
		'section'     => 'woocommerce_options',
		'default'     => apply_filters( 'di_ecommerce_woo_onsale_lbl_clr', '#ffffff' ),
		'choices'     => array(
			'alpha' => true,
		),
		'output' => array(
			array(
				'element'	=> '.woocommerce span.onsale',
				'property'	=> 'color',
			),
		),
		'transport' => 'auto'
	) );

	Kirki::add_field( 'di_ecommerce_config', array(
		'type'        => 'color',
		'settings'    => 'woo_onsale_lbl_bg_clr',
		'label'       => esc_attr__( 'OnSale Sign Background Color', 'di-ecommerce' ),
		'description' => esc_attr__( 'This will be background color of OnSale Sign of products.', 'di-ecommerce' ),
		'section'     => 'woocommerce_options',
		'default'     => apply_filters( 'di_ecommerce_woo_onsale_lbl_bg_clr', '#f66f66' ),
		'choices'     => array(
			'alpha' => true,
		),
		'output' => array(
			array(
				'element'	=> '.woocommerce span.onsale',
				'property'	=> 'background-color',
			),
		),
		'transport' => 'auto'
	) );

	Kirki::add_field( 'di_ecommerce_config', array(
		'type'        => 'color',
		'settings'    => 'woo_price_clr',
		'label'       => esc_attr__( 'Product Price Color', 'di-ecommerce' ),
		'description' => esc_attr__( 'This will be color of product price.', 'di-ecommerce' ),
		'section'     => 'woocommerce_options',
		'default'     => apply_filters( 'di_ecommerce_woo_price_clr', '#f66f66' ),
		'choices'     => array(
			'alpha' => true,
		),
		'output' => array(
			array(
				'element'	=> '.woocommerce ul.products li.product .price, .woocommerce div.product p.price, .woocommerce div.product span.price',
				'property'	=> 'color',
			),
		),
		'transport' => 'auto'
	) );

	Kirki::add_field( 'di_ecommerce_config', array(
		'type'        => 'color',
		'settings'    => 'woo_prodct_brd_clr',
		'label'       => esc_attr__( 'Products Border Color', 'di-ecommerce' ),
		'description' => esc_attr__( 'This will be products border color on shop page.', 'di-ecommerce' ),
		'section'     => 'woocommerce_options',
		'default'     => '#eeeeee',
		'choices'     => array(
			'alpha' => true,
		),
		'output' => array(
			array(
				'element'	=> '.woocommerce ul.products li.product, .woocommerce-page ul.products li.product',
				'property'	=> 'border-color',
			),
		),
		'transport' => 'auto'
	) );

}

//di_ecommerce_footer_widget_options color options
add_action( 'di_ecommerce_footer_widget_options', 'di_ecommerce_footer_widget_options_clbk' );
function di_ecommerce_footer_widget_options_clbk() {

	Kirki::add_field( 'di_ecommerce_config', array(
		'type'        => 'color',
		'settings'    => 'footer_color',
		'label'       => esc_attr__( 'Color', 'di-ecommerce-pro' ),
		'section'     => 'footer_options',
		'default'     => '#dddddd',
		'choices'     => array(
			'alpha' => true,
		),
		'output' => array(
			array(
				'element'  => '.footer, .footer caption',
				'property' => 'color',
			),
		),
		'transport' => 'auto',
		'active_callback'  => array(
			array(
				'setting'  => 'endis_ftr_wdgt',
				'operator' => '==',
				'value'    => 1,
			),
		)
	) );

	Kirki::add_field( 'di_ecommerce_config', array(
		'type'        => 'color',
		'settings'    => 'footer_bg_color',
		'label'       => esc_attr__( 'Background Color', 'di-ecommerce-pro' ),
		'section'     => 'footer_options',
		'default'     => '#3e3b3b',
		'choices'     => array(
			'alpha' => true,
		),
		'output' => array(
			array(
				'element'  => '.footer',
				'property' => 'background-color',
			),
		),
		'transport' => 'auto',
		'active_callback'  => array(
				array(
					'setting'  => 'endis_ftr_wdgt',
					'operator' => '==',
					'value'    => 1,
				),
			)
	) );

	Kirki::add_field( 'di_ecommerce_config', array(
		'type'        => 'color',
		'settings'    => 'footer_border_top_color',
		'label'       => esc_attr__( 'Border Top Color', 'di-ecommerce-pro' ),
		'section'     => 'footer_options',
		'default'     => '#f66f66',
		'choices'     => array(
			'alpha' => true,
		),
		'output' => array(
			array(
				'element'  => '.footer',
				'property' => 'border-color',
			),
		),
		'transport' => 'auto',
		'active_callback'  => array(
			array(
				'setting'  => 'endis_ftr_wdgt',
				'operator' => '==',
				'value'    => 1,
			),
		)
	) );

	Kirki::add_field( 'di_ecommerce_config', array(
		'type'        => 'color',
		'settings'    => 'footer_wdget_headline_color',
		'label'       => esc_attr__( 'Widgets Headline Color', 'di-ecommerce-pro' ),
		'section'     => 'footer_options',
		'default'     => '#dddddd',
		'choices'     => array(
			'alpha' => true,
		),
		'output' => array(
			array(
				'element'  => '.footer .widgets_footer_title',
				'property' => 'color',
			),
		),
		'transport' => 'auto',
		'active_callback'  => array(
			array(
				'setting'  => 'endis_ftr_wdgt',
				'operator' => '==',
				'value'    => 1,
			),
		)
	) );

	Kirki::add_field( 'di_ecommerce_config', array(
		'type'        => 'color',
		'settings'    => 'footer_link_color',
		'label'       => esc_attr__( 'Links Color', 'di-ecommerce-pro' ),
		'section'     => 'footer_options',
		'default'     => '#f66f66',
		'choices'     => array(
			'alpha' => true,
		),
		'output' => array(
			array(
				'element'  => '.footer a, .widgets_footer ul li::before',
				'property' => 'color',
			),
		),
		'transport' => 'auto',
		'active_callback'  => array(
			array(
				'setting'  => 'endis_ftr_wdgt',
				'operator' => '==',
				'value'    => 1,
			),
		)
	) );

	Kirki::add_field( 'di_ecommerce_config', array(
		'type'        => 'color',
		'settings'    => 'footer_link_mover_color',
		'label'       => esc_attr__( 'Mouse Over Links Color', 'di-ecommerce-pro' ),
		'section'     => 'footer_options',
		'default'     => '#ff2c1e',
		'choices'     => array(
			'alpha' => true,
		),
		'output' => array(
			array(
				'element'  => '.footer a:hover, .widgets_footer ul li:hover::before',
				'property' => 'color',
			),
		),
		'transport' => 'auto',
		'active_callback'  => array(
			array(
				'setting'  => 'endis_ftr_wdgt',
				'operator' => '==',
				'value'    => 1,
			),
		)
	) );
}

// di_ecommerce_footer_copyright right setting
add_action( 'di_ecommerce_footer_copyright_right_setting', 'di_ecommerce_footer_copyright_right_setting_clbk' );
function di_ecommerce_footer_copyright_right_setting_clbk() {

	Kirki::add_field( 'di_ecommerce_config', array(
		'type'        => 'editor',
		'settings'    => 'right_footer_setting',
		'label'       => esc_attr__( 'Footer Right', 'di-ecommerce-pro' ),
		'description' => esc_attr__( 'Content of Footer Right Side', 'di-ecommerce-pro' ),
		'section'     => 'footer_copy_options',
		'default'     => '<p>' . esc_attr__( 'WordPress', 'di-ecommerce-pro' ) . ' <a href="https://dithemes.com/di-ecommerce-free-wordpress-theme/" target="_blank">' . esc_attr__( 'Di eCommerce', 'di-ecommerce-pro' ) . '</a> ' . esc_attr__( 'Theme', 'di-ecommerce-pro' ) . '</p>',
		'transport' => 'postMessage',
		'js_vars'   => array(
			array(
				'element'  => '.cprtright_ctmzr',
				'function' => 'html',
			),
		),
		'partial_refresh' => array(
		'right_footer_setting' => array(
			'selector'        => '.cprtright_ctmzr',
			'render_callback' => function() {
				return wp_kses_post( get_theme_mod( 'right_footer_setting' ) );
			},
		),
	),
	) );
}

// di_ecommerce_footer_copyright color option
add_action( 'di_ecommerce_footer_copyright', 'di_ecommerce_footer_copyright_clbk' );
function di_ecommerce_footer_copyright_clbk() {

	Kirki::add_field( 'di_ecommerce_config', array(
		'type'        => 'color',
		'settings'    => 'footer_copy_color',
		'label'       => esc_attr__( 'Color', 'di-ecommerce-pro' ),
		'section'     => 'footer_copy_options',
		'default'     => '#a7a7a7',
		'choices'     => array(
			'alpha' => true,
		),
		'output' => array(
			array(
				'element'  => '.footer-copyright',
				'property' => 'color',
			),
		),
		'transport' => 'auto',
	) );

	Kirki::add_field( 'di_ecommerce_config', array(
		'type'        => 'color',
		'settings'    => 'footer_copy_bg_color',
		'label'       => esc_attr__( 'Background Color', 'di-ecommerce-pro' ),
		'section'     => 'footer_copy_options',
		'default'     => '#272424',
		'choices'     => array(
			'alpha' => true,
		),
		'output' => array(
			array(
				'element'  => '.footer-copyright',
				'property' => 'background-color',
			),
		),
		'transport' => 'auto',
	) );

	Kirki::add_field( 'di_ecommerce_config', array(
		'type'        => 'color',
		'settings'    => 'footer_copy_links_color',
		'label'       => esc_attr__( 'Links Color', 'di-ecommerce-pro' ),
		'section'     => 'footer_copy_options',
		'default'     => '#f66f66',
		'choices'     => array(
			'alpha' => true,
		),
		'output' => array(
			array(
				'element'  => '.footer-copyright a',
				'property' => 'color',
			),
		),
		'transport' => 'auto',
	) );

	Kirki::add_field( 'di_ecommerce_config', array(
		'type'        => 'color',
		'settings'    => 'footer_copy_links_hover_color',
		'label'       => esc_attr__( 'Mouse Over Links Color', 'di-ecommerce-pro' ),
		'section'     => 'footer_copy_options',
		'default'     => '#ff2c1e',
		'choices'     => array(
			'alpha' => true,
		),
		'output' => array(
			array(
				'element'  => '.footer-copyright a:hover',
				'property' => 'color',
			),
		),
		'transport' => 'auto',
	) );
}

// di_ecommerce_footer_copyright right setting front
// Remove free theme content (callback)
add_action( 'init', 'di_ecommerce_remove_default_footer_right_front_content' );
function di_ecommerce_remove_default_footer_right_front_content() {
	remove_action( 'di_ecommerce_footer_copyright_right_setting_front', 'di_ecommerce_footer_copyright_right_setting_front_cntnt' );
}

// Push pro content (callback)
add_action( 'di_ecommerce_footer_copyright_right_setting_front', 'di_ecommerce_footer_copyright_right_setting_front_clbk' );
function di_ecommerce_footer_copyright_right_setting_front_clbk() {
	echo do_shortcode( wp_kses_post( get_theme_mod( 'right_footer_setting', '<p>' . __( 'WordPress', 'di-ecommerce-pro' ) . ' <a target="_blank" href="https://dithemes.com/di-ecommerce-free-wordpress-theme/"><span class="fa fa-thumbs-o-up"></span> ' . __( 'Di eCommerce', 'di-ecommerce-pro' ) . '</a> ' . __( 'Theme', 'di-ecommerce-pro' ) . '</p>' ) ) );
}


// Theme info section.
add_action( 'di_ecommerce_cutmzr_theme_info', 'di_ecommerce_cutmzr_theme_info_clbk' );
function di_ecommerce_cutmzr_theme_info_clbk() {
	Kirki::add_field( 'di_ecommerce_config', array(
		'type'        => 'custom',
		'settings'    => 'custom_theme_info_sprt_procon',
		'label'       => esc_attr__( 'Di eCommerce Pro Support', 'di-ecommerce-pro' ),
		'section'     => 'theme_info',
		'default'     => '<div style="background-color: #333;border-radius: 9px;color: #fff;padding: 13px 7px;">' . esc_attr__( 'If you want our support, Please', 'di-ecommerce-pro' ) . ' <a target="_blank" href="https://dithemes.com/my-tickets/">' . esc_attr__( 'Create a Support Ticket', 'di-ecommerce-pro' ) . '</a>.</div>',
	) );
}

