<?php

/*
This plugin is released under 'private license' by Di Themes ( http://DiThemes.com ).
Restriction: you CAN NOT directly or indirectly (or after modify) distribute it on private or public host.
You can ONLY use this plugin with released products by Di Themes ( http://DiThemes.com ).
*/

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class Di_eCommerce_Pro_Registry {

	/**
	 * [$instance description]
	 * @var null
	 */
	public static $instance = null;

	/**
	 * [$api description]
	 * @var [type]
	 */
	public $api = 'http://dithemes.com/wp-content/plugins/di-themes-api/api-v1.php';

	/**
	 * [instance description]
	 * @return [type] [description]
	 */
	public static function instance() {
		if ( is_null( self::$instance ) ) {
			self::$instance = new self();
		}
		return self::$instance;
	}

	/**
	 * [__construct description]
	 */
	public function __construct() {
		register_activation_hook( DI_ECOMMERCE_PRO_FILE, array( $this, 'activation' ) );
		register_deactivation_hook( DI_ECOMMERCE_PRO_FILE, array( $this, 'deactivation' ) );
		add_action( 'init', array( $this, 'registry_settings' ) );
	}

	/**
	 * [activation description]
	 * @return [type] [description]
	 */
	public function activation() {
		global $pagenow;
		if( $pagenow == 'plugins.php' ) {
			$response = wp_remote_get( esc_url( add_query_arg( 's', $this->apiv1_clean_url( home_url() ), $this->api ) ) );
			if ( is_array( $response ) && ! is_wp_error( $response ) && wp_remote_retrieve_response_code( $response ) == 200 ) {
				update_option( '_di_ecommerce_pro_validity', wp_remote_retrieve_body( $response ) );
			} else {
				update_option( '_di_ecommerce_pro_validity', '404' );
			}
		}
	}

	/**
	 * [deactivation description]
	 * @return [type] [description]
	 */
	public function deactivation() {
		delete_option( '_di_ecommerce_pro_validity' );
	}

	/**
	 * [registry_settings description]
	 * @return [type] [description]
	 */
	public function registry_settings() {
		global $pagenow;
		if( $pagenow == 'plugins.php' ) {
			$response = wp_remote_get( esc_url( add_query_arg( 's', $this->apiv1_clean_url( home_url() ), $this->api ) ) );
			if ( is_array( $response ) && ! is_wp_error( $response ) && wp_remote_retrieve_response_code( $response ) == 200 ) {
				update_option( '_di_ecommerce_pro_validity', wp_remote_retrieve_body( $response ) );
			}
		}
	}

	/**
	 * [apiv1_clean_url description]
	 * @param  [type] $url [description]
	 * @return [type]      [description]
	 */
	public function apiv1_clean_url( $url ) {
		if( strpos( $url, 'https://') !== false || strpos( $url, 'http://') !== false ) {
			$url = parse_url( $url, PHP_URL_HOST );
		} else {
			$url = 'https://' . $url;
			$url = parse_url( $url, PHP_URL_HOST );
		}

		$url = str_replace( 'www.', '', $url );
		$url = str_replace( 'http://', '', $url );
		$url = str_replace( 'https://', '', $url );

		return $url;
	}
	
	/**
	 * [check_registry description]
	 * @return [type] [description]
	 */
	public static function check_registry() {
		if( get_option( '_di_ecommerce_pro_validity', '404' ) == 405 ) {
			return true;
		} else {
			return false;
		}
	}
}
