<?php

/*
This plugin is released under 'private license' by Di Themes ( http://DiThemes.com ).
Restriction: you CAN NOT directly or indirectly (or after modify) distribute it on private or public host.
You can ONLY use this plugin with released products by Di Themes ( http://DiThemes.com ).
*/

if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

class Di_eCommerce_Pro_Page_Sidebar_Meta_Box {

	function __construct() {
        // Add meta box for Page.
		add_action( 'di_ecommerce_page_metabox_render', array( $this, 'render' ), 1 );
		add_action( 'di_ecommerce_page_metabox_save', array( $this, 'save' ), 1 );

        // Make functional on front side.
        add_action( 'init', array( $this, 'remove_free_version' ) );
        add_action( 'di_ecommerce_page_sidebar_file', array( $this, 'push_pro_content' ) );
	}

	function render( $post ) {
		?>
		<p>

        <label style="padding-right: 36px;" for="select_sidebar">
            <?php _e( 'Select sidebar to display ', 'di-ecommerce-pro' ); ?>
        </label>

        <?php
		$selected = get_post_meta( $post->ID, '_di_ecommerce_registered_widget', true );
		$selected = stripcslashes( $selected );
        ?>
        <select style="max-width: 200px;" id="select_sidebar" name="select_sidebar_val" >
        	<option value="Default"><?php _e( 'Default', 'di-ecommerce-pro' ); ?></option>
        	<?php
        	$widgetarray = get_option( '_di_ecommerce_created_widgets', '' );
        	if( ! empty( $widgetarray ) && is_array( $widgetarray ) ) {
        		foreach ( $widgetarray as $widgetsingle ) {
        			$widgetsingle = stripcslashes( $widgetsingle );
        			echo '<option ' . selected( $selected, $widgetsingle, false ) . ' value="' . htmlspecialchars( $widgetsingle ) . '">' . $widgetsingle . '</option>';
        		}
        	}
        	?>
        </select>

        <?php _e( 'Info: It uses to display different sidebar.', 'di-ecommerce-pro' ); ?> 

        <a href="<?php echo admin_url( 'widgets.php#widget-creator-outer-div' ); ?>"><?php _e( 'Create New One', 'di-ecommerce-pro' ); ?> </a>

        </p>
        <?php
	}

	function save( $post_id ) {
		if( isset( $_POST['select_sidebar_val'] ) && ! empty( $_POST['select_sidebar_val'] ) ) {
			$widgetforit = addslashes( $_POST['select_sidebar_val'] );
			update_post_meta( $post_id, '_di_ecommerce_registered_widget', $widgetforit );
		}
	}

    function remove_free_version() {
        remove_action( 'di_ecommerce_page_sidebar_file', 'di_ecommerce_page_sidebar_file_clbk' );
    }

    function push_pro_content() {

        // Get current post ID (if on blog, then checks current posts page for it's ID)
        if ( is_home() ) {
            $di_post_id = get_option( 'page_for_posts' );
        } else {
            $di_post_id = get_the_ID();
        }

        if( get_post_meta( $di_post_id, '_di_ecommerce_registered_widget', true ) ) {
            $custom_widget = get_post_meta( $di_post_id, '_di_ecommerce_registered_widget', true );

            $custom_widget = $this->strip_specail_chars( $custom_widget );
            if( is_registered_sidebar( $custom_widget ) ) {
                dynamic_sidebar( $custom_widget );
            }
            else {
                if( is_active_sidebar( 'sidebar_page' ) ) {
                    dynamic_sidebar( 'sidebar_page' );
                }
            }
        }
        else {
            if( is_active_sidebar( 'sidebar_page' ) ) {
                dynamic_sidebar( 'sidebar_page' );
            }
        }

    }

    function strip_specail_chars( $str ) {
        return strtolower( preg_replace( '/[^a-zA-Z0-9-_\.]/','', $str ) );
    }
}
new Di_eCommerce_Pro_Page_Sidebar_Meta_Box();
